LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XFilter Interface Referencepublished

interface to filter documents More...

`import"XFilter.idl";`

Inheritance diagram for XFilter:

## Public Member Functions
boolean | filter ([in] sequence< com::sun::star::beans::PropertyValue > aDescriptor)
| filter the document. More...
void | cancel ()
| cancel the process. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

interface to filter documents

This interface will be used by service ImportFilter or ExportFilter to support loading/saving of documents in different formats. The target/source of such filter operations must be known before filtering will be started. (see XImporter and XExporter too) Otherwise this interface can't work right.

See also
  ImportFilter
  ExportFilter
  XImporter
  XExporter

Developers Guide
  Office Development - XML Based Filter Development - Introduction

## Member Function Documentation

## ◆ cancel()

void cancel | ( |  | ) |

cancel the process.

## ◆ filter()

boolean filter | ( | [in] sequence< com::sun::star::beans::PropertyValue > | aDescriptor | ) |

filter the document.

The given MediaDescriptor holds all necessary information about the document.

Don't hold hard references to the descriptor items. You must copy needed information! Otherwise we couldn't destroy (for example) an existing input stream!

Parameters

  aDescriptor | the MediaDescriptor describing the respective document.

Returns
  a boolean value indicating whether the filter operation was successful or not.

The documentation for this interface was generated from the following file:

- com/sun/star/document/XFilter.idl